.application-list {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    grid-gap: 1.25em;
}

.application-item {
    width: calc(100% - 1em);
    background-color: var(--color-grey-light);
    border-radius: var(--border-radius-btn);
    padding: 2em 3em 2em 2em;
    position: relative;
    display: flex;
    align-items: center;
    transition: all ease-in-out .3s;
}

.application-item:hover {
    width: 100%;
    padding: 2em 3em 2em 3em;
}

.application-item.status-processing {
    background: linear-gradient(90deg, var(--color-blue-light), var(--color-grey-light) 60%);
}

.application-item.status-pending {
    background: linear-gradient(90deg, var(--color-yellow-light), var(--color-grey-light) 60%);
}

.application-item.status-cancelled {
    background: linear-gradient(90deg, var(--color-red-light), var(--color-grey-light) 60%);
}

.application-item.status-approved,
.application-item.status-closed {
    background: linear-gradient(90deg, var(--color-green-light), var(--color-grey-light) 60%);
}

.application-item:before {
    display: block;
    content: '';
    width: .375em;
    height: 100%;
    background: var(--color-grey);
    position: absolute;
    top: 0;
    right: calc(100% + 1em - .375em);
    border-radius: 1em;
    transition: all ease-in-out .3s;
    opacity: 1;
}

.application-item:hover:before {
    width: 0;
    opacity: 0;
}

.application-item.status-processing:before {
    background-color: var(--color-blue);
}

.application-item.status-pending:before {
    background-color: var(--color-yellow);
}

.application-item.status-cancelled:before {
    background-color: var(--color-red);
}

.application-item.status-closed:before,
.application-item.status-approved:before {
    background-color: var(--color-green);
}

.application-information {
    width: 50%;
    display: flex;
    flex-direction: column;
    grid-gap: .5em;
}

.application-actions {
    width: 50%;
    display: flex;
    justify-content: flex-end;
    grid-gap: 1em;
    flex-wrap: wrap;
}

.application-information .further-actions {
    margin-top: 1rem;
}

.application-information .further-actions button {
    background: none;
    border: 0;
    cursor: pointer;
}

.application-information .further-actions button:hover {
    text-decoration: underline;
}


/*----------------------------------------------------------
    TITLE
----------------------------------------------------------*/

.application-information .title {
    font-family: 'Heldane Display';
    font-size: 1.5em;
    font-weight: 500;
}

.application-information .application-information-file-reference {
    font-weight: 700;
}

.application-item.status-processing .application-information .title {
    color: var(--color-blue-dark);
}

.application-item.status-pending .application-information .title {
    color: var(--color-yellow-dark);
}

.application-item.status-cancelled .application-information .title {
    color: var(--color-red-dark);
}

.application-item.status-closed .application-information .title {
    color: var(--color-green-dark);
}


/*----------------------------------------------------------
    STATUS
----------------------------------------------------------*/

.status {
    display: flex;
    grid-gap: 2em;
    align-items: center;
}

.status-label {
    display: flex;
    border-radius: var(--border-radius-inputs);
    color: #fff;
    overflow: hidden;
}

.status-label>div {
    padding: .5em .75em
}

.status-label>div:empty {
    display: none;
}

.primary-status {
    background-color: var(--color-grey);
}

.status-processing .primary-status {
    background-color: var(--color-blue);
}

.status-pending .primary-status {
    background-color: var(--color-yellow);
}

.status-cancelled .primary-status {
    background-color: var(--color-red);
}

.status-approved .primary-status,
.status-closed .primary-status {
    background-color: var(--color-green);
}

.secodary-status {
    background-color: var(--color-grey-dark);
}

.status-processing .secondary-status {
    background-color: var(--color-blue-dark);
}

.status-pending .secondary-status {
    background-color: var(--color-yellow-dark);
}

.status-cancelled .secondary-status {
    background-color: var(--color-red-dark);
}

.status-approved .secondary-status,
.status-closed .secondary-status {
    background-color: var(--color-green-dark);
}


/*----------------------------------------------------------
    RECENT EDIT
----------------------------------------------------------*/

.application-item.status-processing .recent-edit {
    color: var(--color-blue-dark);
}

.application-item.status-pending .recent-edit {
    color: var(--color-yellow-dark);
}

.application-item.status-cancelled .recent-edit {
    color: var(--color-red-dark);
}

.application-item.status-approved .recent-edit,
.application-item.status-closed .recent-edit {
    color: var(--color-green-dark);
}


/*----------------------------------------------------------
    RESPONSIVE STYLES
----------------------------------------------------------*/

@media (max-width: 1024px) {
    .application-item {
        flex-direction: column;
    }
    .application-item>div:not(.open-toggle) {
        width: 100%;
    }
    .application-actions {
        margin-top: 2em;
        justify-content: flex-start;
    }
}

@media (max-width: 768px) {
    .application-item .status {
        flex-direction: column;
        align-items: flex-start;
        grid-gap: 1em;
        margin-top: .5em;
    }
    .application-actions {
        margin-top: 0;
        max-height: 0;
        overflow: hidden;
    }
    .application-actions.open {
        margin-top: 2em;
        max-height: 50vh;
    }
    .application-item .open-toggle {
        position: absolute;
        top: 2em;
        right: 2em;
        width: 3em;
        height: 3em;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23fff' class='bi bi-three-dots' viewBox='0 0 16 16'%3E%3Cpath d='M3 9.5a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3zm5 0a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3zm5 0a1.5 1.5 0 1 1 0-3 1.5 1.5 0 0 1 0 3z'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: center;
        background-size: 2em;
        background-color: var(--color-grey-dark);
        border-radius: var(--border-radius-btn);
    }
    .application-item .open-toggle.active {
        background-color: var(--color-red);
    }
}

@media (max-width: 500px) {
    .status-label {
        flex-direction: column;
    }
    .open-toggle {
        position: absolute;
        top: 1em;
        right: 1em;
    }
}


/*----------------------------------------------------------
    NO APPLICATIONS
----------------------------------------------------------*/

.no-applications {
    margin-top: 7em;
    background-image: linear-gradient(0deg, var(--color-blue), var(--color-blue-dark));
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6em 0;
    border-radius: var(--border-radius-btn);
    gap: 2em;
}

.no-applications .headline {
    font-family: 'Heldane Display';
    font-size: 2.75rem;
    font-weight: 500;
    color: #fff;
}

.first-application-button .btn-ghost:hover {
    color: var(--color-blue-medium);
}

.application-list .process-locked {
    opacity: .3;
}